log4shib 2.0.0

Public Member Functions | List of all members
log4shib::PatternLayout::PatternComponent Class Referenceabstract

`#include <PatternLayout.hh>`

Inheritance diagram for log4shib::PatternLayout::PatternComponent:
[legend]

## Public Member Functions
virtual | ~PatternComponent ()
virtual void | append (std::ostringstream &out, const LoggingEvent &event)=0

## Constructor & Destructor Documentation

## ◆ ~PatternComponent()

virtual log4shib::PatternLayout::PatternComponent::~PatternComponent | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ append()

virtual void log4shib::PatternLayout::PatternComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event
| ) |  |
| pure virtual

Implemented in log4shib::StringLiteralComponent, log4shib::ProcessorTimeComponent, log4shib::CategoryNameComponent, log4shib::MessageComponent, log4shib::NDCComponent, log4shib::PriorityComponent, log4shib::ThreadNameComponent, log4shib::TimeStampComponent, log4shib::SecondsSinceEpochComponent, log4shib::MillisSinceEpochComponent, and log4shib::FormatModifierComponent.

The documentation for this class was generated from the following file:

- PatternLayout.hh